=== debian/watch ===
version=4
opts=\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libcbor-$1.tar.gz/
https://github.com/PJK/libcbor/tags .*/v(\d[\d\.]*)\.tar\.gz
