=== debian/changelog ===
libcbor (0.8.0-2ubuntu1) jammy; urgency=medium

  * Merge from Debian; remaining changes:
    - d/control: set R3 to no
    - d/rules: add hardening=+all
    - d/rules: override auto_configure to enable tests and set the build
      type to "Release" as shown in the upstream build instructions.
    - d/libcbor0.8.symbols: symbols update, add B-D-P field
    - d/copyright: add new paragraph for new files in 0.6.0
  * Dropped changes; applied upstream:
    - d/p/skip-custom-allocator-test.patch
    - d/p/clarify-soname-versioning.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 20 Jan 2022 10:25:28 +0100

libcbor (0.8.0-2) unstable; urgency=medium

  * No changes. Closes: #1000509.

 -- Vincent Bernat <bernat@debian.org>  Wed, 24 Nov 2021 15:29:47 +0100

libcbor (0.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Vincent Bernat ]
  * New upstream release. Closes: #980300.
  * d/copyright: update years
  * d/control: switch to debhelper-compat 13
  * d/rules: build shared lib
  * d/control: bump Standards-Version
  * d/examples: fix installation of example files
  * d/control: rename libcbor0 to libcbor0.8 to match new ABI versioning
  * d/control: add Built-Using for -doc package.

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #981620)
    + d/rules: Move documentation build to -indep overrides.
    + Enable sphinxdoc dh addon via B-D.
    + Demote all sphinx dependencies to B-D-I. Be explicit about doxygen.
    + d/rules: Skip cmake build in -indep overrides.
    + Demote cmake and cmocka to B-D-A.
    + Annotate cmocka <!nocheck>.

 -- Vincent Bernat <bernat@debian.org>  Wed, 22 Sep 2021 14:35:54 +0200

libcbor (0.6.0-0ubuntu4) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:14:27 +0200

libcbor (0.6.0-0ubuntu3) groovy; urgency=medium

  * Drop cf-protection LDFLAGS, and thus this is now a no change rebuild
    with fixed compiler to enable CET.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 10 Sep 2020 14:16:13 +0100

libcbor (0.6.0-0ubuntu2) groovy; urgency=medium

  * Append cf-protection to LDFLAGS to enable CET protection.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Jun 2020 14:07:49 +0100
