=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               cmake,
-               libcmocka-dev,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-               python3-breathe
+Build-Depends: debhelper-compat (= 13),
+Build-Depends-Arch: cmake,
+                    libcmocka-dev <!nocheck>,
+Build-Depends-Indep: dh-sequence-sphinxdoc,
+                     doxygen,
+                     python3-sphinx,
+                     python3-sphinx-rtd-theme,
+                     python3-breathe
 Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/PJK/libcbor
 Vcs-Git: https://salsa.debian.org/debian/libcbor.git
-Vcs-Browser: https://salsa.debian.org/debian/libcbor/
+Vcs-Browser: https://salsa.debian.org/debian/libcbor
 Rules-Requires-Root: no
 
-Package: libcbor0.6
+Package: libcbor0.8
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -40,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcbor0.6 (= ${binary:Version}), ${misc:Depends}
+Depends: libcbor0.8 (= ${binary:Version}), ${misc:Depends}
 Description: library for parsing and generating CBOR (RFC 7049) (development headers)
  CBOR is a general-purpose schema-less binary data format, defined in
  RFC 7049. This package provides a C library for parsing and generating
@@ -52,6 +54,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-mathjax
+Built-Using: ${sphinxdoc:Built-Using}
 Description: library for parsing and generating CBOR (RFC 7049) (documentation)
  CBOR is a general-purpose schema-less binary data format, defined in
  RFC 7049. This package provides a C library for parsing and generating
