=== debian/changelog ===
libcbor (0.10.2-2) unstable; urgency=medium

  * Ack NMU.
  * d/patches: temporarily add a patch to fix FTBFS due to NaN encoding on
    some architectures until this is fixed upstream. See #1069959. Patch
    from Helge Deller.

 -- Vincent Bernat <bernat@debian.org>  Sun, 15 Sep 2024 10:35:51 +0200

libcbor (0.10.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/Fix-non-standard-testing.patch:
    Enable testing by default and toggle testing based on
    BUILD_TESTING CMake variable. (Closes: #1064018)
  * d/control: Build-Depend-Arch on debhelper (>= 13.12~) when <nocheck>
    build profile is active because the BUILD_TESTING CMake variable is
    automatically set to OFF for nocheck builds starting with
    debhelper 13.12.

 -- Plasma (David Paul) <davidpaul@librem.one>  Thu, 15 Feb 2024 20:46:41 -0600

libcbor (0.10.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1052004, #1053491)

 -- Paul Gevers <elbrus@debian.org>  Thu, 05 Oct 2023 08:47:27 +0200

libcbor (0.10.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Vincent Bernat ]
  * New upstream release

 -- Vincent Bernat <bernat@debian.org>  Sat, 02 Sep 2023 17:44:24 +0200
